Bug 67223 - /sbin/loader exits with signal 11(passing linux pci=bios fixes)
/sbin/loader exits with signal 11(passing linux pci=bios fixes)
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-06-21 03:20 EDT by Ben Greear
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-26 13:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Greear 2002-06-21 03:20:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20020508

Description of problem:
I just received an SS40 SpaceWalker system from Shuttle computers.

When I start installation of RH 7.3, it seems to boot the kernel ok,
but it dies right after /sbin/loader is run.  The error is that the
install failed due to signal-11 (SIGSEGV).

It happens multiple times.

RH 7.2 seems to load fine...but I didn't finish the install
to see if it worked all the way through.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Obtain SS40 SpaceWalker computer.
2. Attempt to install RH 7.3

Actual Results:  Signal 11 after running /sbin/loader

Expected Results:  It install the RH product, and if it gets signal 11, it should
drop into some debug mode so that we can get a gdb core trace to
actually debug the problem.

Additional info:

I will be happy to test any fixes you may produce.
Comment 1 Ben Greear 2002-06-21 19:14:02 EDT
The machine locks up while getting ready for the install, right
before it starts installing RPMs.  This is when there is the little
status bar filling up..it was at about 90%.

I'm suspicious of the chipsets:

Video: SiS 740 IGUI
Southbridge: SiS 961

Will try another new distribution to see if the newer kernels fix this.
Comment 2 Ben Greear 2002-06-26 13:46:17 EDT
If you boot with this command: linux pci=bios
then it seems to work.
Comment 3 Michael Fulbright 2002-06-28 12:28:42 EDT
Thanks for the tip.

Closing as RAWHIDE because its the closest resolution we have :(

Note You need to log in before you can comment on or make changes to this bug.